import React, { Component } from 'react';
import './App.css';

function App() {
  return (
    <div className="App">
      <header className="App-header">
        <h2>Welcome to Minimalist Home Price Estimator</h2>
        <h3>Enter your dream home's details</h3>
      </header>
      <HouseForm/>
    </div>
  );
}

class HouseForm extends Component {
  constructor(props) {
    super(props);

    this.apikey = '<accessKey>'

    this.state = {
      bathrooms:"2",
      bedrooms:"3",
      sqft_living:"2000",
      sqft_lot:"2500",
      floors:"1",
      waterfront:"0",
      condition:"3",
    };
  }

  get_Prediction(params){
    // New JSON with API KEY
    var reqData = Object.assign({accessKey: this.apikey}, {Request: params});
    console.log(JSON.stringify(reqData));

    // Fetch Model Answer
    fetch('<hostURL>', {
      method: 'post',
      body: JSON.stringify(reqData)
    }).then(response => response.json())
      .then(ans => window.confirm('$'.concat(Number(ans.response)
        .toFixed(0).toString()
        .replace(/\B(?<!\.\d*)(?=(\d{3})+(?!\d))/g, ",")))
      );
  }

  render() {
    return (
      <div>
        <div>
        <button
            type="button"
            onClick={e => this.get_Prediction(this.state)}>
              Get Estimate
          </button>
        </div>
        <div className="column">
          <form>
            <p>Bedrooms</p>
            <input
              type="text"
              value={this.state.bedrooms}
              onChange={e => this.setState({'bedrooms': e.target.value})}
            />
            <p>Bathrooms</p>
            <input
              type="text"
              value={this.state.bathrooms}
              onChange={e => this.setState({'bathrooms': e.target.value})}
            />
            <p>Living Space (sqft)</p>
            <input
              type="text"
              value={this.state.sqft_living}
              onChange={e => this.setState({sqft_living:e.target.value})}
            />
            <p>Lot Size (sqft)</p>
            <input
              type="text"
              value={this.state.sqft_lot}
              onChange={e => this.setState({sqft_lot:e.target.value})}
              />
            <p>Floors</p>
            <input
              type="text"
              value={this.state.floors}
              onChange={e => this.setState({floors:e.target.value})}
            />
          </form>
        </div>
        <div className="column">
          <form>
            <div className="row">
              <div className="radio-group">
                <p>waterfront</p>
                <input className="radio-button" type="radio" id="yes" name="waterfront" value="1"
                  onClick={e => this.setState({waterfront: e.target.value})}/>
                <label className="radio-button">Yes</label><br/>
                <input className="radio-button" type="radio" id="no" name="waterfront" value="0"
                  onClick={e => this.setState({waterfront: e.target.value})}/>
                <label className="radio-button">No</label>
              </div>
            </div>
            <div className="row">
              <div className="radio-group">
                <p>condition</p>
                <input className="radio-button" type="radio" id="1" name="condition" value="1"
                  onClick={e => this.setState({condition: 1})}/>
                <label className="radio-button">1 - worst</label><br/>
                <input className="radio-button" type="radio" id="1" name="condition" value="2"
                  onClick={e => this.setState({condition: 2})}/>
                <label className="radio-button">2</label><br/>
                <input className="radio-button" type="radio" id="1" name="condition" value="3"
                  onClick={e => this.setState({condition: 3})}/>
                <label className="radio-button">3</label><br/>
                <input className="radio-button" type="radio" id="1" name="condition" value="4"
                  onClick={e => this.setState({condition: 4})}/>
                <label className="radio-button">4</label><br/>
                <input className="radio-button" type="radio" id="1" name="condition" value="5"
                  onClick={e => this.setState({condition: 5})}/>
                <label className="radio-button">5 - best</label>
              </div>
            </div>
          </form>
        </div>
      </div>
    )
  }
}

export default App;
